Favicon

You are here: Home > API Reference > Platform > Organization Providers > Add new provider

POST /organizations/:organizationId/providers

Required Permission: base.organization.loginProvider.create

Add new provider

POST
https://api.applivery.io/v1/organizations/{organizationId}/providers
curl -X POST "https://api.applivery.io/v1/organizations/{organizationId}/providers" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "ldap",
  "target": "dashboard",
  "ldap": {
    "url": "string",
    "bindCredentials": "string",
    "bindDN": "string",
    "searchBase": "string",
    "searchFilter": "string",
    "attributes": {}
  },
  "saml": {
    "idpXml": "string",
    "attributes": {}
  },
  "google": {
    "appId": "string",
    "clientSecret": "string",
    "domains": []
  },
  "tags": [
    {}
  ],
  "config": {
    "supportMergeSSOEmployeesWithSSOUsers": true,
    "defaultRole": "admin",
    "loginButtonText": "string"
  }
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/providers", {
  method: "POST",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "type": "ldap",
    "target": "dashboard",
    "ldap": {
      "url": "string",
      "bindCredentials": "string",
      "bindDN": "string",
      "searchBase": "string",
      "searchFilter": "string",
      "attributes": {}
    },
    "saml": {
      "idpXml": "string",
      "attributes": {}
    },
    "google": {
      "appId": "string",
      "clientSecret": "string",
      "domains": []
    },
    "tags": [
      {}
    ],
    "config": {
      "supportMergeSSOEmployeesWithSSOUsers": true,
      "defaultRole": "admin",
      "loginButtonText": "string"
    }
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/organizations/{organizationId}/providers",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "type": "ldap",
      "target": "dashboard",
      "ldap": {
        "url": "string",
        "bindCredentials": "string",
        "bindDN": "string",
        "searchBase": "string",
        "searchFilter": "string",
        "attributes": {}
      },
      "saml": {
        "idpXml": "string",
        "attributes": {}
      },
      "google": {
        "appId": "string",
        "clientSecret": "string",
        "domains": []
      },
      "tags": [
        {}
      ],
      "config": {
        "supportMergeSSOEmployeesWithSSOUsers": true,
        "defaultRole": "admin",
        "loginButtonText": "string"
      }
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

Body Params application/json
type string required
ldap saml google social
target string required
dashboard store mdm
ldap object optional
url string required
≤ 500 characters
bindCredentials string required
≤ 128 characters
bindDN string required
≤ 128 characters
searchBase string required
≤ 128 characters
searchFilter string required
≤ 128 characters
attributes object required
email array [string] required
firstName array [string] required
lastName array [string] required
saml object optional
idpXml string required
attributes object required
email array [string] required
firstName array [string] required
lastName array [string] required
userName array [string] required
groups array [string] required
metadata array [object] optional
google object optional
appId string required
≤ 500 characters
clientSecret string required
≤ 500 characters
domains array [string] required
tags array [object] optional
original string required
≤ 256 characters
translation string required
≤ 256 characters
externalId string optional
≤ 256 characters
config object optional
supportMergeSSOEmployeesWithSSOUsers boolean optional
defaultRole string optional
admin editor viewer unassigned
loginButtonText string optional
{
    "type": "ldap",
    "target": "dashboard",
    "ldap": {
        "url": "string",
        "bindCredentials": "string",
        "bindDN": "string",
        "searchBase": "string",
        "searchFilter": "string",
        "attributes": {
            "email": [
                "string"
            ],
            "firstName": [
                "string"
            ],
            "lastName": [
                "string"
            ]
        }
    },
    "saml": {
        "idpXml": "string",
        "attributes": {
            "email": [
                "string"
            ],
            "firstName": [
                "string"
            ],
            "lastName": [
                "string"
            ],
            "userName": [
                "string"
            ],
            "groups": [
                "string"
            ],
            "metadata": [
                {
                    "name": "string",
                    "attributes": [
                        "string"
                    ]
                }
            ]
        }
    },
    "google": {
        "appId": "string",
        "clientSecret": "string",
        "domains": [
            "string"
        ]
    },
    "tags": [
        {
            "original": "string",
            "translation": "string",
            "externalId": "string"
        }
    ],
    "config": {
        "supportMergeSSOEmployeesWithSSOUsers": true,
        "defaultRole": "admin",
        "loginButtonText": "string"
    }
}

Responses

200 Response application/json
status boolean required
data object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organization string required
Match pattern: ^[a-fA-F0-9]{24}$
type string required
ldap saml google social
target string required
dashboard store mdm
config object optional
supportMergeSSOEmployeesWithSSOUsers any optional
defaultRole string optional
owner admin editor viewer unassigned
loginButtonText string optional
ldap object optional
url string required
≤ 500 characters
bindDN string required
≤ 128 characters
searchBase string required
≤ 128 characters
searchFilter string required
≤ 128 characters
attributes object required
saml object optional
idpXml string required
attributes object required
metadataXmlUri string optional
≤ 500 characters
callbackUri string optional
≤ 500 characters
replyUri string optional
≤ 500 characters
google object optional
appId string required
≤ 500 characters
clientSecret string required
≤ 500 characters
domains array required
accessTokenGroups any required
groups array optional
social object optional
google any optional
tags array [object] optional
original string required
≤ 256 characters
translation string required
≤ 256 characters
scim object optional
bearer string optional
≤ 256 characters
config object required
attributes array [object] optional
attributesHistory array [object] optional
createdBy string required
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string required
createdAt string required
{
    "status": true,
    "data": {
        "id": "string",
        "organization": "string",
        "type": "ldap",
        "target": "dashboard",
        "config": {
            "supportMergeSSOEmployeesWithSSOUsers": true,
            "defaultRole": "owner",
            "loginButtonText": "string"
        },
        "ldap": {
            "url": "string",
            "bindDN": "string",
            "searchBase": "string",
            "searchFilter": "string",
            "attributes": {
                "email": [
                    "string"
                ],
                "firstName": [
                    "string"
                ],
                "lastName": [
                    "string"
                ]
            }
        },
        "saml": {
            "idpXml": "string",
            "attributes": {
                "email": [
                    "string"
                ],
                "firstName": [
                    "string"
                ],
                "lastName": [
                    "string"
                ],
                "userName": [
                    "string"
                ],
                "groups": [
                    "string"
                ],
                "metadata": [
                    {
                        "name": "string",
                        "attributes": [
                            "string"
                        ]
                    }
                ]
            },
            "metadataXmlUri": "string",
            "callbackUri": "string",
            "replyUri": "string"
        },
        "google": {
            "appId": "string",
            "clientSecret": "string",
            "domains": [
                "string"
            ],
            "accessTokenGroups": true,
            "groups": [
                "string"
            ]
        },
        "social": {
            "google": true
        },
        "tags": [
            {
                "original": "string",
                "translation": "string"
            }
        ],
        "scim": {
            "bearer": "string",
            "config": {
                "collaborator": {
                    "create": {
                        "action": "createWithRole",
                        "createWithRole": "owner"
                    },
                    "deactivate": {
                        "action": "remove"
                    }
                },
                "employee": {
                    "create": {
                        "action": "create"
                    },
                    "deactivate": {
                        "action": "remove"
                    }
                },
                "mdmUser": {
                    "create": {
                        "action": "create"
                    },
                    "deactivate": {
                        "action": "unassign",
                        "changePolicy": {
                            "winPolicyId": "string",
                            "admPolicyIdMacos": "string",
                            "admPolicyIdIos": "string",
                            "emmPolicyId": "string",
                            "winPolicyAssignments": [
                                {
                                    "winPolicyId": "string",
                                    "priority": 0
                                }
                            ],
                            "admPolicyAssignmentsMacos": [
                                {
                                    "admPolicyId": "string",
                                    "priority": 0
                                }
                            ],
                            "admPolicyAssignmentsIos": [
                                {
                                    "admPolicyId": "string",
                                    "priority": 0
                                }
                            ],
                            "emmPolicyAssignments": [
                                {
                                    "emmPolicyId": "string",
                                    "priority": 0
                                }
                            ]
                        }
                    }
                }
            },
            "attributes": [
                {
                    "name": "string",
                    "attributes": [
                        {
                            "namespace": "string",
                            "key": "string"
                        }
                    ]
                }
            ],
            "attributesHistory": [
                {
                    "namespace": "string",
                    "key": "string"
                }
            ]
        },
        "createdBy": "string",
        "updatedAt": "string",
        "createdAt": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5032
message string optional
Only one Provider by type
{
    "status": false,
    "error": {
        "code": 5020,
        "message": "Operation not supported by your billing plan"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}